osl::eval::ml::KnightHead Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::KnightHead Class Reference

`#include <minorPiece.h>`

Collaboration diagram for osl::eval::ml::KnightHead:
[legend]

## Public Types
enum | { ONE_DIM = 9, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Attributes
static CArray< MultiInt, 9 > | table
static CArray< MultiInt, 144 > | opp_table

## Friends
class | KnightHeadOppPiecePawnOnStand

## Detailed Description

Definition at line 833 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 837 of file minorPiece.h.

## Member Function Documentation

MultiInt osl::eval::ml::KnightHead::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 1386 of file minorPiece.cc.

References osl::alt(), osl::BLACK, osl::Board_Table, osl::Piece::isEmpty(), osl::Piece::isOnBoard(), osl::Piece::isPiece(), osl::Piece::isPromoted(), osl::BoardTable::nextSquare(), osl::Piece::owner(), osl::PAWN, osl::Piece::ptype(), result, osl::Piece::square(), osl::U, osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

void osl::eval::ml::KnightHead::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1366 of file minorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class KnightHeadOppPiecePawnOnStand
| friend

Definition at line 835 of file minorPiece.h.

## Member Data Documentation

osl::misc::CArray< MultiInt, 144 > osl::eval::ml::KnightHead::opp_table
| staticprivate

Definition at line 842 of file minorPiece.h.

Referenced by osl::eval::ml::KnightHeadOppPiecePawnOnStand::setUp().

osl::misc::CArray< MultiInt, 9 > osl::eval::ml::KnightHead::table
| staticprivate

Definition at line 841 of file minorPiece.h.

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc